Skip to main content
GET
/
api
/
product-types
/
{key}
Get Product Type
curl --request GET \
  --url https://api.merchantops.ai/api/product-types/{key}
{
  "id": "<string>",
  "key": "<string>",
  "name": "<string>",
  "category_key": "<string>",
  "createdAt": "<string>",
  "createdBy": "<string>",
  "description": [
    {}
  ],
  "isActive": true,
  "is_system": false,
  "lastModifiedAt": "<string>",
  "lastModifiedBy": "<string>",
  "propertyCount": 0,
  "propertyKeys": [
    "<string>"
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Response

Successful Response

Response model for a single ProductType.

id
string
required

MongoDB ObjectId as string

key
string
required

Unique identifier

name
string
required

Human-readable name

category_key
string | null

Key into product_type_categories — links this ProductType to a Category for 3-tier prompt resolution.

createdAt
string | null

Creation timestamp

createdBy
string | null

User who created this

description
Description · object[] | null

Localized descriptions

isActive
boolean
default:true

Active status

is_system
boolean
default:false

System-managed ProductType

lastModifiedAt
string | null

Last modification timestamp

lastModifiedBy
string | null

User who last modified this

propertyCount
integer
default:0

Number of properties

propertyKeys
string[]

List of property keys